Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.util
Class NullWriter

    java.lang.Object
      java.io.Writer
          gecco.util.NullWriter

public class NullWriter
extends Writer

Description of the Class

Author:
  Karl Hasselström

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`NullWriter()` Constructor for the NullWriter object

Method Summary
`void` | `close()` Description of the Method
`void` | `flush()` Description of the Method
`void` | `write(char[] cbuf)` Description of the Method
`void` | `write(char[] cbuf, int off, int len)` Description of the Method
`void` | `write(int c)` Description of the Method
`void` | `write(String str)` Description of the Method
`void` | `write(String str, int off, int len)` Description of the Method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullWriter

    public NullWriter()

  Constructor for the NullWriter object

Method Detail

### close

    public void close()

  Description of the Method

### flush

    public void flush()

  Description of the Method

### write

    public void write(char[] cbuf)

  Description of the Method

  Parameters:
    `cbuf` - Description of Parameter

### write

    public void write(char[] cbuf,
                      int off,
                      int len)

  Description of the Method

  Parameters:
    `cbuf` - Description of Parameter
    `off` - Description of Parameter
    `len` - Description of Parameter

### write

    public void write(int c)

  Description of the Method

  Parameters:
    `c` - Description of Parameter

### write

    public void write(String str)

  Description of the Method

  Parameters:
    `str` - Description of Parameter

### write

    public void write(String str,
                      int off,
                      int len)

  Description of the Method

  Parameters:
    `str` - Description of Parameter
    `off` - Description of Parameter
    `len` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD